{namespace twoh=TWOH\TwohKickstarter\ViewHelpers}

<f:render section="desktop-menu" arguments="{_all}"/>

<f:section name="desktop-menu">
    <nav class="navbar navbar-expand-lg navbar-light bg-light d-flex justify-content-between align-items-center">
        <div>
            <f:link.page pageUid="<f:cObject typoscriptObjectPath='lib.websiteRootPageId'/>"
                         title="<f:cObject typoscriptObjectPath='lib.websiteTitle'/>" tabindex="1"
                         class="navbar-brand p-0">
                <twoh:svg svgPath="logo.svg" />
            </f:link.page>
        </div>
        <div>
            <div class="d-flex align-items-center flex-row justify-content-end" id="navbarSupportedContent">
                <div id="menu-first" class="d-flex align-items-center flex-row">
                    <ul class="navbar-nav d-flex flex-row align-items-center lang-navbar">
                        <f:cObject typoscriptObjectPath="tt_content.twoh_dataproclangmenu"/>
                    </ul>
                    <ul class="navbar-nav">
                        <li class="nav-item search ml-1">
                            <a class="nav-link h10 text-white submenu"
                               href="#"
                               data-click="#search-field"
                               title="Search">
                                <twoh:svg svgPath="SG_Search.svg" />
                            </a>
                        </li>
                    </ul>
                </div>
                <ul id="menu-second" class="navbar-nav">
                    <li class="nav-item mega-menu ml-1">
                        <a id="submenu-icon" class="nav-link h10 text-white submenu submenu-icon-with-svg"
                           href="#"
                           data-click="#submenu"
                           title="Menu">
                            <twoh:svg svgPath="SG_Menue.svg" />
                        </a>
                        <a id="close-submenu-icon" class="nav-link h10 submenu text-white d-none submenu-icon-with-svg submenu-icon-with-svg-close"
                           href="#"
                           data-click="#close-submenu-icon"
                           title="Close">
                            <twoh:svg svgPath="SG_Close.svg" />
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <f:render section="search" arguments="{_all}"/>


    <div class="full-view d-none w-100 h-100 position-fixed top-0 start-0 d-none" id="submenu">
        <div class="overlay position-absolute w-100 h-100 bg-darkBlue"></div>
        <div class="menu-container justify-content-center overflow-auto mx-5 z-3">
            <div class="d-flex align-items-center flex-row justify-content-between d-none mb-2"
                 id="navbarSupportedContentSub">
                <div id="menu-sub-first" class="d-flex align-items-center flex-row">
                    <ul class="navbar-nav d-flex flex-row align-items-center lang-navbar">
                        <f:cObject typoscriptObjectPath="tt_content.twoh_dataproclangmenu"/>
                    </ul>
                    <ul class="navbar-nav">
                        <li class="nav-item search ml-1">
                            <a class="nav-link h10 text-white submenu"
                               href="#"
                               data-click="#search-field"
                               title="Search">
                                <twoh:svg svgPath="SG_Search.svg" />
                            </a>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="flex flex-row">
                <ul class="first-level d-flex flex-wrap gap-2 p-0 m-0">
                    <f:for each="{headerMenu}" as="menuItem" iteration="iterator">
                        <li class=" d-sm-block d-xs-block">
                            <f:if condition="{menuItem.data.do_not_link}">
                                <f:then>
                                <span class="text-decoration-none"
                                      title="{menuItem.data.title}">
                                    <div class="d-flex justify-content-between main-headline text-decoration-none text-uppercase text-white fw-medium pr-1">
                                        <f:if condition='{menuItem.title}'>
                                            <f:then> {menuItem.title}</f:then>
                                            <f:else> {menuItem.data.title}</f:else>
                                        </f:if>
                                       <svg id="Layer_1" height="20" viewBox="0 0 128 128" width="20"
                                            xmlns="http://www.w3.org/2000/svg"><path id="Down_Arrow_3_"
                                                                                     d="m64 88c-1.023 0-2.047-.391-2.828-1.172l-40-40c-1.563-1.563-1.563-4.094 0-5.656s4.094-1.563 5.656 0l37.172 37.172 37.172-37.172c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656l-40 40c-.781.781-1.805 1.172-2.828 1.172z"/></svg>
                                    </div>
                                </span>
                                </f:then>
                                <f:else>
                                    <f:link.page pageUid="{menuItem.data.uid}"
                                                 class="d-flex justify-content-between main-headline text-decoration-none text-uppercase text-white fw-medium pr-1"
                                                 title="{menuItem.data.title}">
                                        <f:if condition='{menuItem.title}'>
                                            <f:then> {menuItem.title}</f:then>
                                            <f:else> {menuItem.data.title}</f:else>
                                        </f:if>
                                        <svg id="Layer_1" height="20" viewBox="0 0 128 128" width="20"
                                             xmlns="http://www.w3.org/2000/svg">
                                            <path id="Down_Arrow_3_"
                                                  d="m64 88c-1.023 0-2.047-.391-2.828-1.172l-40-40c-1.563-1.563-1.563-4.094 0-5.656s4.094-1.563 5.656 0l37.172 37.172 37.172-37.172c1.563-1.563 4.094-1.563 5.656 0s1.563 4.094 0 5.656l-40 40c-.781.781-1.805 1.172-2.828 1.172z"/>
                                        </svg>
                                    </f:link.page>
                                </f:else>
                            </f:if>
                            <ul class="second-level p-0 mt-3">
                                <f:for each="{menuItem.children}" as="childMenuItem">
                                    <li>
                                        <f:if condition="{childMenuItem.data.do_not_link}">
                                            <f:then>
                                                <span class="text-decoration-none"
                                                      title="{childMenuItem.data.title}">
                                                    <div class="text-decoration-none text-uppercase text-white h10">
                                                        <f:if condition='{childMenuItem.title}'>
                                                            <f:then> {childMenuItem.title}</f:then>
                                                            <f:else> {childMenuItem.data.title}</f:else>
                                                        </f:if>
                                                    </div>
                                                </span>
                                            </f:then>
                                            <f:else>
                                                <f:link.page pageUid="{childMenuItem.data.uid}"
                                                             class="text-decoration-none text-uppercase text-white h10"
                                                             title="{childMenuItem.data.title}">
                                                    <f:if condition='{childMenuItem.title}'>
                                                        <f:then> {childMenuItem.title}</f:then>
                                                        <f:else> {childMenuItem.data.title}</f:else>
                                                    </f:if>
                                                </f:link.page>
                                            </f:else>
                                        </f:if>
                                    </li>
                                </f:for>
                            </ul>
                        </li>
                    </f:for>
                </ul>

            </div>
            <div class="foot-level d-flex flex-row justify-content-end mt-3">
                <ul class="foot-level-ul">
                    <li>
                        <f:link.page pageUid="276" class="fw-regular text-white text-uppercase">
                            <f:translate key="LLL:EXT:twoh_template_override_x/Resources/Private/Language/locallang.xlf:contact" />
                        </f:link.page>
                    </li>
                    <li>
                        <f:link.page pageUid="27" class="fw-regular text-white text-uppercase">
                            <f:translate key="LLL:EXT:twoh_template_override_x/Resources/Private/Language/locallang.xlf:imprint" />
                        </f:link.page>
                    </li>
                    <li>
                        <f:link.page pageUid="24" class="fw-regular text-white text-uppercase">
                            <f:translate key="LLL:EXT:twoh_template_override_x/Resources/Private/Language/locallang.xlf:dataprotection" />
                        </f:link.page>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</f:section>


<f:section name="link">
    <f:link.page pageUid="{menuItem.data.uid}"
                 class="nav-link h10 text-white p-half {f:if(condition:'{menuItem.hasSubpages}',then:'submenu')} {f:if(condition:'{menuItem.active}',then:'current')} bg-hover-grad-{menuItem.data.gradient}"
                 title="{menuItem.data.title}"
                 additionalAttributes="{data-click: '#submenu-{menuItem.data.uid}'}">
        <f:if condition='{menuItem.title}'>
            <f:then> {menuItem.title}</f:then>
            <f:else> {menuItem.data.title}</f:else>
        </f:if>
    </f:link.page>
</f:section>

<f:section name="search">
    <div class="full-view d-none w-100 h-100 position-fixed top-0 start-0" id="search-field">
        <div class="overlay position-absolute w-100 h-100 bg-darkBlue"></div>
        <div class="d-flex justify-content-center my-10">
            <a class="close-nav position-absolute text-white end-4 top-3" data-click="#search-field">
                <svg xmlns="http://www.w3.org/2000/svg" id="Icons" height="512" viewBox="0 0 64 64" width="512">
                    <path d="m4.59 59.41a2 2 0 0 0 2.83 0l24.58-24.58 24.59 24.58a2 2 0 0 0 2.83-2.83l-24.59-24.58 24.58-24.59a2 2 0 0 0 -2.83-2.83l-24.58 24.59-24.59-24.58a2 2 0 0 0 -2.82 2.82l24.58 24.59-24.58 24.59a2 2 0 0 0 0 2.82z"
                          fill="#ffffff"/>
                </svg>
            </a>
            <form
                    action="{f:uri.typolink(parameter: '92')}"
                    class="tx-solr-search-form d-flex"
                    data-suggest="{f:uri.typolink(parameter: '92')}?type=7384"
                    data-suggest-header="">

                <input type="text" name="tx_solr[q]"
                       class="tx-solr-q js-solr-q tx-solr-suggest tx-solr-suggest-focus form-control"
                       placeholder="{f:translate(key: 'searchWord', extensionName: 'solr')}">
                <button class="btn text-white" type="submit">
                    <i class="fa-solid fa-magnifying-glass"></i>
                </button>
            </form>
        </div>
    </div>
</f:section>